#!/usr/bin/python
from gpiozero import MotionSensor
import time

# Declaration of GPIO4 as an input for the PIR sensor
pir = MotionSensor(4)

# Intermediate variables
active = False

try:
    while True:
        # Monitoring changes from the PIR sensor
        if pir.motion_detected and not active:
            print("Motion detected")
            active = True
        elif not pir.motion_detected and active:
            print("No movement")
            active = False

        time.sleep(0.1)

# Termination condition
except KeyboardInterrupt:
    print("Program interrupted by user.")
